package com.persagy.labsl.services.planar

import com.persagy.labsl.models.entities.pbs.QbsFolder
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.requests.SUpdateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse

/**
 * 文件夹逻辑处理接口
 * @author : lijie
 * Update By 2022/6/1 12:28
 */
interface QbsFolderLogicService {

    /**
     * 创建文件夹
     * @author : lijie
     * Update By 2022/6/1 13:00
     */
    fun createsLogic(request: SCreateRequest<QbsFolder>): SCreateResponse<QbsFolder>
    /**
     * 删除文件夹
     * @author : lijie
     * Update By 2022/6/1 13:01
     */
    fun deletesLogic(idList: ArrayList<QbsFolder>): SBaseResponse
    /**
     * 更新文件夹
     * @author : lijie
     * Update By 2022/6/1 13:02
     */
    fun updatesLogic(request: SUpdateRequest<QbsFolder>): SBaseResponse
}