package com.persagy.labsl.domain

import com.baomidou.mybatisplus.annotation.TableField
import com.baomidou.mybatisplus.annotation.TableName
import com.github.jeffreyning.mybatisplus.anno.MppMultiId
import lombok.Data
import java.io.Serializable
import java.util.*

/**
 *
 * @TableName attach_object_ids_pub
 */
@TableName(value = "attach_object_ids_pub",autoResultMap = true)
@Data
class AttachObjectIdsPubEntity : Serializable {
    /**
     * 图对象id
     */
    @MppMultiId
    @TableField(value = "id")
    var id: String? = null
    /**
     * 图例节点id
     */
    @MppMultiId
    @TableField(value = "node_id")
    var nodeId: String? = null
    /**
     * 对象id
     */
    @MppMultiId
    @TableField(value = "object_id")
    var objectId: String? = null
    /**
     * 图id
     */
    @MppMultiId
    @TableField(value = "graph_id")
    var graphId: String? = null
    /**
     * 图状态（1一般，2待审核，3审核完成，4回收站 ,0发布）
     */
    @TableField(value = "state")
    var state: Int? = null
    /**
     * 更新时间
     */
    @TableField(value = "last_update")
    var lastUpdate: Date? = null
    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    var createTime: Date? = null

    companion object {
        @TableField(exist = false)
        val serialVersionUID = 1L
    }
}